Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 828 - rxvt is not properly localized
Summary: rxvt is not properly localized
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rxvt
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-14 08:42 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-24 17:22:15 UTC


Attachments (Terms of Use)

Description Aleksey Nogin 1999-01-14 08:42:28 UTC
When I start rxvt and switch keyboard into the Cyrillic mode
(I am using Xkb, it generate Cyrillic_* keysyms) and start
typing, rxvt would not react (as if nothing is typed).

When xterm, Netscape or gvim is started from the same shell,
cyrillics works fine.

I had the same problem in RedHat 5.1

In RH 5.2 I checked it with the following setup:

glibc-2.0.7-29
rxvt-2.4.7-2
XFree86-libs-3.3.2.3-25
XFree86-3.3.3-1
XFree86-SVGA-3.3.3-1

P.S. nxterm has the same problem (I am going to report it as
a separate bug) and as a result, I can only use xterm.

Comment 1 Aleksey Nogin 1999-01-26 02:35:59 UTC
The problem still exists when using XFree*3.3.3.1-1

Comment 2 Aleksey Nogin 1999-03-22 22:07:59 UTC
When I rebuilt rxvt-2.6.PRE2-1.src.rpm (from RawHide) on an RedHat-5.2
system (with all updates, including XFree86*-3.3.3.1-1), I did not
have any locale problems.

I can not test rxvt-2.6.PRE2-1.i386.rpm from RawHide since I do not
have access to glibc-2.1 machine


Note You need to log in before you can comment on or make changes to this bug.